import Model from './Model'

export default class Pouzivatel extends Model {
  constructor (object) {
    super(object.id, object.created_at, object.updated_at)

    this.meno = ''
    this.email = ''
    this.login = ''
    this.titul = ''
    this.avatar = ''
    this.titul2 = ''
    this.password = ''
    this.api_token = ''
    this.cele_meno = ''
    this.priezvisko = ''

    object && Object.assign(this, object)
  }

  celeMeno () {
    return this.cele_meno
  }
}
